VMAP(9)

NAME
vmap - map an array of pages into virtually contiguous space

SYNOPSIS

void * vmap(struct page ** pages, unsigned int count, unsigned long flags, pgprot_t prot);

ARGUMENTS

pages
    array of page pointers

count
    number of pages to map

flags
    vm_area->flags

prot
    page protection for the mapping

DESCRIPTION

Maps count pages from pages into contiguous kernel virtual space.

COPYRIGHT